#include<stdio.h>
#include<stdlib.h>
#include<string.h>

    int main()
    {
            int i,a,b;
            char c1[8];
            char c2[8];
            scanf("%s%s", c1, c2);
            scanf("%i",&a);
            scanf("%i",&b);
            if (a==b)
            {
                strncat(c1, c2, 1);
                for(i = 0; i < a; i++)
                {
                    printf("%s", c1);
                }
            }
            if (a-1==b)
            {
                strncat(c2, c1, 1);
                printf("%s",c1);
                for(i = 0; i < b; i++)
                {
                    printf("%s", c2);
                }
            }
            if (a+1==b)
            {
                strncat(c1, c2, 1);
                printf("%s",c2);
                for(i = 0; i < a; i++)
                {
                    printf("%s",c1);
                }
            }
            if ((a!=b)&&(a+1!=b)&&(a-1!=b))
            {
                printf("nemoguce");
            }
            return 0;

    }